#include <bits/stdc++.h>
#include "locmin.h"
long long mat[502];
long long Valoare(int c) {
    if(0 == mat[c]) return mat[c] = value(1, c);
    return mat[c];
}
std::pair<int, int> find_locmin_point(int n, int m) {
    int st = 1, dr = m;
    int mij, poz = 1;

    while(st + 1 < dr) {
        mij = st + (dr - st) / 2;
        if(mij < m && value(1, mij) < value(1, mij + 1)) {
            dr = mij;
        }
        else st = mij;
    }
    if(value(1, st) < value(1, dr)) return {1, st};
                                    return {1, dr};
}
